<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Clocking API: C:/Users/Sean/Documents/dreamshub/CLOCK_DREAMS/clocking_DREAMS.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="DREAMS_logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Clocking API
   </div>
   <div id="projectbrief">Clocking API for the DREAMS project</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('clocking___d_r_e_a_m_s_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">clocking_DREAMS.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Function definitions for the Clocking API.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="clocking___d_r_e_a_m_s_8h_source.html">clocking_DREAMS.h</a>&quot;</code><br />
<code>#include &quot;driverlib.h&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8a1c1acea23990fa46575778fd4dcc33"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="clocking___d_r_e_a_m_s_8c.html#a8a1c1acea23990fa46575778fd4dcc33">setupClocks</a> (void)</td></tr>
<tr class="memdesc:a8a1c1acea23990fa46575778fd4dcc33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock System setup.  <a href="#a8a1c1acea23990fa46575778fd4dcc33">More...</a><br /></td></tr>
<tr class="separator:a8a1c1acea23990fa46575778fd4dcc33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae66ade706235ef50fe1bf514ce6d6065"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="clocking___d_r_e_a_m_s_8c.html#ae66ade706235ef50fe1bf514ce6d6065">timer32_setup</a> (void)</td></tr>
<tr class="memdesc:ae66ade706235ef50fe1bf514ce6d6065"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer32 Module setup.  <a href="#ae66ade706235ef50fe1bf514ce6d6065">More...</a><br /></td></tr>
<tr class="separator:ae66ade706235ef50fe1bf514ce6d6065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b32c31f08583301da96827be39dcf2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="clocking___d_r_e_a_m_s_8c.html#a47b32c31f08583301da96827be39dcf2">timer32_delay</a> (uint32_t msDelay)</td></tr>
<tr class="memdesc:a47b32c31f08583301da96827be39dcf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">System stall using the Timer32 module.  <a href="#a47b32c31f08583301da96827be39dcf2">More...</a><br /></td></tr>
<tr class="separator:a47b32c31f08583301da96827be39dcf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc9bd8120cb0e7e82a06ab8088375ad2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="clocking___d_r_e_a_m_s_8c.html#adc9bd8120cb0e7e82a06ab8088375ad2">timer32_isr</a> (void)</td></tr>
<tr class="separator:adc9bd8120cb0e7e82a06ab8088375ad2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Function definitions for the Clocking API. </p>
<dl class="section author"><dt>Author</dt><dd>Sean (SeanCampbell)</dd></dl>
<dl class="bug"><dt><b><a class="el" href="bug.html#_bug000001">Bug:</a></b></dt><dd>No known bugs. </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a8a1c1acea23990fa46575778fd4dcc33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setupClocks </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clock System setup. </p>
<p>Setup the necessary MSP432 clock resources and clock signals </p>

</div>
</div>
<a class="anchor" id="a47b32c31f08583301da96827be39dcf2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void timer32_delay </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>msDelay</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>System stall using the Timer32 module. </p>
<p>Delay the system by an arbitrary number of milliseconds, forcing the system into a low-power but interrupt-aware state</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msDelay</td><td>The number of milliseconds to reside in low-power mode </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adc9bd8120cb0e7e82a06ab8088375ad2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void timer32_isr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ae66ade706235ef50fe1bf514ce6d6065"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void timer32_setup </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Timer32 Module setup. </p>
<p>Setup the ARM licensed Timer32 module using MCLK with a prescale of 16, leading to a rate of 1.5 MHz </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_16e1bea4fe9bd5e11718f9ed9ad570fa.html">CLOCK_DREAMS</a></li><li class="navelem"><a class="el" href="clocking___d_r_e_a_m_s_8c.html">clocking_DREAMS.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
